import { ForwardedRef, HTMLAttributes } from 'react';
import { EditorConfiguration, EditorEventMap } from 'codemirror';
export type TCodeMirrorRef = ForwardedRef<HTMLDivElement>;
export interface ICodeMirrorConf extends Omit<EditorConfiguration, 'value'> {
    on?: EditorEventMap;
}
export interface IFnConvertValue {
    (value: string): string;
}
export interface ILinesMinMax {
    linesMin?: number;
    linesMax?: number;
}
export interface IPropsCodeMirror extends Omit<HTMLAttributes<HTMLDivElement>, 'onChange'>, ILinesMinMax {
    conf?: ICodeMirrorConf;
    value?: string;
    convertValueToDisplay?: IFnConvertValue;
    convertValueFromDisplay?: IFnConvertValue;
    onChange?(value: string): void;
}
